#
# Project Builder configuration file
# For project pb ;-)
#
# $Id$
#
#
#
# Which CMS system is used
#
pburl pb = svn+ssh://svn.project-builder.org/mondo/svn/pb

#
# Packager label
#
pbpackager pb = Bruno Cornec <bruno@project-builder.org>

#
# For delivery to a machine by SSH (potentially the FTP server)
# Needs hostname, account and directory
#
sshhost pb = www.project-builder.org
sshlogin pb = bruno
sshdir pb = /mondo/ftp
sshport pb = 22

#
# For Virtual machines management
# Naming convention to follow: distribution name (as per ProjectBuilder::Distribution)
# followed by '_' and by release number
# a .vmtype extension will be added to the resulting string
# a QEMU rhel_3 here means that the VM will be named rhel_3.qemu
#
vmlist pb = mandrake-10.1-i386,mandrake-10.2-i386,mandriva-2006.0-i386,mandriva-2007.0-i386,mandriva-2007.1-i386,mandriva-2008.0-i386,redhat-7.3-i386,redhat-9-i386,fedora-4-i386,fedora-5-i386,fedora-6-i386,fedora-7-i386,fedora-8-i386,rhel-3-i386,rhel-4-i386,rhel-5-i386,suse-10.0-i386,suse-10.1-i386,suse-10.2-i386,suse-10.3-i386,sles-9-i386,sles-10-i386,gentoo-nover-i386,debian-3.1-i386,debian-4.0-i386,ubuntu-6.06-i386,ubuntu-7.04-i386,ubuntu-7.10-i386

velist pb = fedora-7-i386

pbarch pb = noarch

vetype pb = chroot
ventp default =  pool.ntp.org
velogin pb = pb
vepath pb = /var/lib/mock
veconf pb = /etc/mock
verebuild pb = false
#
# Valid values for vmtype are
# qemu, (vmware, xen, ... TBD)
vmtype pb = qemu

# Hash for VM stuff on vmtype
vmntp default = pool.ntp.org

# We suppose we can commmunicate with the VM through SSH
vmhost pb = localhost
vmlogin pb = pb
vmport pb = 2223

# Timeout to wait when VM is launched/stopped
vmtmout default = 120

# per VMs needed paramaters
vmopt pb = -m 384 -daemonize
vmpath pb = /users/qemu
vmsize pb = 5G

#
# Global version/tag for the project
#
projver pb = 0.9.1
projtag pb = 1

# Adapt to your needs:
# Optional if you need to overwrite the global values above
#
#pkgver project-builder = devel
#pkgtag project-builder = 1

# Is it a test version
#testver pb = true

# Hash of default package/package directory
defpkgdir project-builder = pb
defpkgdir perl-ProjectBuilder = pb-modules

# Hash of additional package/package directory
extpkgdir project-builder-doc = pb-doc

# Hash of valid version names
version pb = devel,stable

# List of files per pkg on which to apply filters
# Files are mentioned relatively to pbroot/defpkgdir
filteredfiles project-builder = Makefile.PL,lib/ProjectBuilder/Version.pm
filteredfiles perl-ProjectBuilder = Makefile.PL,lib/ProjectBuilder/Base.pm,lib/ProjectBuilder/Distribution.pm
